+ Reply to Thread
Results 1 to 5 of 5
  1. #1
    Junior Member
    Using
    AutoCAD 2008
    Join Date
    May 2008
    Location
    Canada
    Posts
    17

    Default How Do I Copy Same Object Multiple Times

    Registered forum members do not see this ad.

    Hello:

    First post on this forum. I've just switched to 2008 from many years of Generic Cadd (yeah, I'm an old guy) and I'm struggling with some basic stuff.

    I need to draw 15 links of chain, each is 5.5" pitch. I select the single link I've drawn, pick the base point, move cursor to the right slightly, enter 5.5" and click enter. 2 links are now shown correctly, but to copy the remaining 13 links, the only way I've found is to keep adding 5.5" increments ( 11, 16.5, 22, etc) with corresponding mouse movements and clicks. That's a lotta typing! For reference, Generic Cadd simply asked for the number of copies after you selected a reference point and offset. I can do this in my head for 5.5" increments, but I hope I never have to draw 3.4317" pitch chain.

    Please, someone tell me there's a simpler way.

    Thanks.

  2. #2
    Super Moderator Cad64's Avatar
    Computer Details
    Cad64's Computer Details
    Operating System:
    Windows 7 Profesional x64
    Computer:
    XI Computers
    Motherboard:
    Asus P8Z77-V Pro
    CPU:
    Intel Core I7 3770K 4.1 Ghz Quad Core 3rd Gen
    RAM:
    24GB DDR3 @ 1333MHz
    Graphics:
    Nvidia GeForce GTX 570 1280MB GDDR5
    Primary Storage:
    SATAII 500GB 7200 RPM
    Secondary Storage:
    Western Digital My Book Studio Edition II - 2TB capacity
    Monitor:
    HPf2105 21" LCD Widescreen & Cintiq 21ux
    Discipline
    Multi-disciplinary
    Cad64's Discipline Details
    Occupation
    Landscape Architect
    Discipline
    Multi-disciplinary
    Using
    3ds Max 2011
    Join Date
    Feb 2006
    Location
    Southern California
    Posts
    9,091

    Default

    Try using the ARRAY command.
    Personal Website: ( Updated 03/21/2014 ) ---> http://www.rdeweese.com/

    "Work Smart, Not Hard"

  3. #3
    Junior Member
    Using
    AutoCAD 2008
    Join Date
    May 2008
    Location
    Canada
    Posts
    17

    Default

    Thanks for the fast answer, CAD64. Yes, I've used the array command, but I thought it was only rectangular and polar. But I see your point, rectangular could be thought of as linear. I'll check it right now.

  4. #4
    Junior Member
    Using
    AutoCAD 2008
    Join Date
    May 2008
    Location
    Canada
    Posts
    17

    Default

    Yessir, that worked! Thanks very much! Back to work for me, I've got chain to draw.

  5. #5
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,149

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by MAK View Post
    Hello:

    First post on this forum. I've just switched to 2008 from many years of Generic Cadd (yeah, I'm an old guy) and I'm struggling with some basic stuff.

    I need to draw 15 links of chain, each is 5.5" pitch. I select the single link I've drawn, pick the base point, move cursor to the right slightly, enter 5.5" and click enter. 2 links are now shown correctly, but to copy the remaining 13 links, the only way I've found is to keep adding 5.5" increments ( 11, 16.5, 22, etc) with corresponding mouse movements and clicks. That's a lotta typing! For reference, Generic Cadd simply asked for the number of copies after you selected a reference point and offset. I can do this in my head for 5.5" increments, but I hope I never have to draw 3.4317" pitch chain.

    Please, someone tell me there's a simpler way.

    Thanks.

    it's the multiple option after you select the object and state the offset distance (in offset)

    o
    distance
    select object
    m (for multiple)
    just start left clicking the mouse the side you want to offset on.

    wait, you said copy, yeah, array is your best option. sadly, if you had land desktop, there is an AWESOME command (that they retired for some retarded reason) called continuous copy, it would do exactly what you want. select the object, enter/pick distance, enter/pick angle and you are off (you can even change distance mid copying).

    here is a very useful one charles alan butler (brilliant man) wrote for arraying and here is one i wrote using his as an example. his will copy a specific distance based on an exterior picked distance, mine will copy a distance based on a specified amount of copies with a picked overall distance (i use it for placing quick parking spaces in an area when it's not for design purposes and i know there are x amount, but not concerned with them being 9 feet spaces).

    here are both:

    Code:
    ;;; FUNCTION   ArrayUCS.lsp
    ;;;  Variation of the Array command, user picks the direction and distance 
    ;;;  to fill then enters or picks the object offset distance
    ;;;  Offset direction is the angle of picked points
    ;;; 
    ;;; ARGUMENTS 
    ;;; none 
    ;;; 
    ;;; USAGE 
    ;;;  aUCS
    ;;; 
    ;;; PLATFORMS 
    ;;; 2000+ 
    ;;; 
    ;;; AUTHOR 
    ;;; Copyright© 2004 Charles Alan Butler 
    ;;; ab2draft@TampaBay.rr.com 
    ;;; 
    ;;; VERSION 
    ;;; 1.0 Oct. 01, 2004 
    ;;;
    ;;; YOU MAY USE THIS CODE ONLY FOR *NON-COMMERCIAL* 
    ;;; PURPOSES AND ONLY IF YOU RETAIN 
    ;;; THIS HEADER COMPLETE AND UNALTERED 
    ;;; you must contact me if you want to use it commercially 
    ;;;  
    
    ;(defun c:aucs (/ p1 p2 ss dist inc step)
    (defun c:DV (/ p1 p2 ss dist inc step)
      ;;  set ucs to picked angle
      (defun usc_set (p1 p2 / p3)
        (setq p3 (polar p1 (+ (* pi 0.5) (angle p1 p2)) 60.0))
        (command "UCS" "3" p1 p2 p3)
      )
      ;;==================================
      ;;        Start Routine 
      ;;==================================
      (setq usercmd (getvar "CMDECHO"))
      (setvar "CMDECHO" 0)
    ;  (setq useros (getvar "osmode"))
    ;  (setvar "osmode" 175)
      (prompt "\nSelect objects to offset.")
      (if (setq ss (ssget))
        (progn
          (prompt "\nPick Direction and Distance of offsets.")
          (if (setq p1 (getpoint "\n*-*  Pick Starting point  *-*"))
            (if (setq p2 (getpoint p1 "\n*-*  Pick End point  *-*"))
              (progn
                (setq step (getdist "\nEnter offset distance. [ENTER=9] "))
                (setq step (cond (step) (9))); set to default
                (setq dist (distance p1 p2)
                      ang  (angle p1 p2)
                      inc  (1+ (fix (/ dist step)))
                )
                (usc_set p1 p2)
                (command "_.array" ss "" "R" "" inc step)
                (command "_ucs" "_p")
              ) ; end progn
            ) ; endif
          ) ; endif
        ) ; end progn
      ) ; endif
      ;;==========  Exit Sequence  ============ 
    ;  (setvar "osmode" useros)
      (setvar "CMDECHO" usercmd)
      (princ)
    ) ; end defun
    ;(prompt "\nArray UCS Loaded. Enter aUCS to run.")
    (princ)

    Code:
    ;parking space creator
    ;will array selected objects to create parking spaces (or whatever you want to array along a line) based on
    ;a picked distance and an entered amount of spaces
    ;subroutine (ucs_set) and idea borrowed from Charles Alan Butler
    ;created by: alan thompson 4.15.08
    
    (defun c:PP(/ ss p1 p2 dist space_num space_inc space_dist)
        ;;set ucs to picked angle
        (defun ucs_set (p1 p2 / p3)
            (setq p3 (polar p1 (+ (* pi 0.5) (angle p1 p2)) 60.0))
            (command "UCS" "3" p1 p2 p3)
        )
    
        (setvar "CMDECHO" 0)
        (prompt "\nSelect objects to offset.")
        (if (setq ss (ssget))
            (progn
                (prompt "\nPick Direction and Distance of offsets.")
                (if (setq p1 (getpoint "\n*-*  Pick Starting point  *-*"))
                    (if (setq p2 (getpoint p1 "\n*-*  Pick End point  *-*"))
                        (progn
                            
                            
                            (setq dist (distance p1 p2))
                            (setq space_num (getdist "\nNumber of parking spaces: "))
                            (if space_num
                                (progn
                                    (command "undo" "begin")
                                    (setq space_inc (rtos (+ 1 space_num) 2 0))
                                    (setq space_dist (rtos (/ dist space_num)))
                                    (ucs_set p1 p2)
                                    (command "_.array" ss "" "R" "" space_inc space_dist)
                                    (command "_ucs" "_p")
                                    (command "erase" "l" "");added to erase last created line, take out of you want to keep it
                                    (command "undo" "end")
                                );progn
                            );if space_num
                        );progn
                    );if
                );if
            );progn
        );if
        (princ)
    );defun

Similar Threads

  1. Insert block multiple times
    By Dipali in forum AutoCAD Drawing Management & Output
    Replies: 5
    Last Post: 11th Apr 2008, 11:15 am
  2. copy/multiple copy?
    By driftingsun3 in forum AutoCAD General
    Replies: 4
    Last Post: 27th Jan 2008, 07:49 pm
  3. Way to login multiple times
    By HHS_CAD_Class in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 29th Sep 2006, 06:54 pm
  4. copy command multiple
    By Frankenstein in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 1st Feb 2005, 10:47 pm
  5. Copy object help.
    By dmgdesigns in forum AutoCAD Beginners' Area
    Replies: 2
    Last Post: 25th Aug 2004, 10:09 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts